%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pyparsing
Version:       3.2.2
Release:       1mamba
Summary:       An alternative approach to creating and executing simple grammars
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pyparsing/pyparsing/
Source:        https://pypi.debian.net/pyparsing/pyparsing-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
The pyparsing module is an alternative approach to creating and executing simple grammars, vs. the traditional lex/yacc approach, or the use of regular expressions.
The pyparsing module provides a library of classes that client code uses to construct the grammar directly in Python code.

%if 0%{?with_pyver}
%pyver_package
%endif

%define debug_package %{nil}

%prep
%setup -q -n pyparsing-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Mon Mar 24 2025 Automatic Build System <autodist@openmamba.org> 3.2.2-1mamba
- automatic version update by autodist

* Thu Jan 02 2025 Automatic Build System <autodist@openmamba.org> 3.2.1-1mamba
- automatic version update by autodist

* Mon Oct 14 2024 Automatic Build System <autodist@openmamba.org> 3.2.0-1mamba
- automatic version update by autodist

* Mon Aug 26 2024 Automatic Build System <autodist@openmamba.org> 3.1.4-1mamba
- automatic version update by autodist

* Sun Aug 25 2024 Automatic Build System <autodist@openmamba.org> 3.1.3-1mamba
- automatic version update by autodist

* Wed Mar 06 2024 Automatic Build System <autodist@openmamba.org> 3.1.2-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 3.1.1-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Jul 31 2023 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Mon Jun 19 2023 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-2mamba
- rebuilt with python 3.10

* Fri Jan 21 2022 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Thu Nov 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.6-1mamba
- update to 3.0.6

* Wed Mar 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.7-2mamba
- rebuilt with distdeps

* Mon Apr 06 2020 Automatic Build System <autodist@mambasoft.it> 2.4.7-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic version update by autodist

* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic version update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-2mamba
- rebuilt with python3 3.7.4

* Mon Aug 05 2019 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Oct 10 2016 Automatic Build System <autodist@mambasoft.it> 2.1.10-1mamba
- automatic version update by autodist

* Mon Sep 12 2016 Automatic Build System <autodist@mambasoft.it> 2.1.9-1mamba
- automatic version update by autodist

* Mon Aug 22 2016 Automatic Build System <autodist@mambasoft.it> 2.1.8-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Automatic Build System <autodist@mambasoft.it> 2.1.7-1mamba
- automatic version update by autodist

* Tue Aug 09 2016 Automatic Build System <autodist@mambasoft.it> 2.1.6-1mamba
- automatic version update by autodist

* Mon Jul 18 2016 Davide Madrisan <davide.madrisan@gmail.com> 2.1.5-2mamba
- update the specfile to allow the automatic buid of the python3 subpackage

* Wed Jun 29 2016 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic version update by autodist

* Sat May 14 2016 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Automatic Build System <autodist@mambasoft.it> 2.0.7-1mamba
- automatic version update by autodist

* Thu Dec 17 2015 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Sun Nov 01 2015 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Wed Nov 05 2014 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic update by autodist

* Sun May 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- package created using the webbuild interface
